Get all case message attachments

get

/api/boss/data/objects/ora/cxServiceCore/case/v1:1072/$en/cases/{cases_id}/messages/{cases-messages_id}/$attachments

Request

Path Parameters
  • This path parameter maps to the following field defined in the Cases/Case Messages REST resource:
    1. messageId: The unique identifier of the case message.
  • This path parameter maps to the following field defined in the Cases REST resource:
    1. caseNumber: The unique number that's used to identify a case. You can edit the case number to a format that's best suitable to your requirements.
Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
  • Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
  • The resource collection will be queried using the specified filter condition.
  • Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
  • Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
    Default Value: 25
  • Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
    Default Value: 0
  • Orders a resource collection based on the specified fields. The parameter value is a comma-separated string of field names, each optionally followed by a colon and "asc" (default) or "desc".

There's no request body for this operation.

Back to Top

Response

Default Response

An array of items response
Body ()
Root Schema : oraCxServiceCoreCase.CaseMessageAttachment_collection-response
Match All
Show Source
Nested Schema : __collection_context
Type: object
Show Source
Nested Schema : oraCxServiceCoreCase.CaseMessageAttachment_collection-response-allOf[1]
Type: object
Show Source
Nested Schema : totalItems
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : oraCxServiceCoreCase.CaseMessageAttachment_item-response
Match All
Show Source
Nested Schema : oraCxServiceCoreCase.CaseMessageAttachment_item
Match All
Case message attachments are used to store attachments containing additional or supporting information about a message. The attachments contain files or documents associated with a specific message in the case.
Show Source
Nested Schema : oraCxServiceCoreCase.CaseMessageAttachment_item-fields
Match All
Show Source
Nested Schema : oraCxServiceCoreCase.CaseMessageAttachment_item-fields-allOf[0]
Type: object
Show Source
Nested Schema : oraCommonAppsInfraAttachments.Attachment_abstract-item
Type: object
Show Source
Nested Schema : oraCxServiceCoreCase.CaseMessageAttachment_item-fields-allOf[2]
Type: object
Show Source
Nested Schema : Case Message Attachment
Type: object
Title: Case Message Attachment
Case message attachments are used to store attachments containing additional or supporting information about a message. The attachments contain files or documents associated with a specific message in the case.
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : category
Match All
The category of the attachment.
Show Source
  • Title: Attachment Category
    Read Only: true
    Default Value: MISC
    The category of the attachment.
  • Allowed Values: [ "MISC" ]
Nested Schema : document
Match All
The name of the accessor used to retrieve the document.
Show Source
Nested Schema : oraCommonAppsInfraAttachments.Document_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraAttachments.Document_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraAttachments.Document_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Document Accessor
Type: object
Title: Document Accessor
The name of the accessor used to retrieve the document.
Nested Schema : chunkingDirectives
Type: object
Show Source
Nested Schema : downloadParameters
Type: object
Show Source
Nested Schema : latestDocument
Match All
The latest version of the attached document.
Show Source
Nested Schema : type
Match All
Show Source
  • Allowed Values: [ "FILE", "WEB_PAGE", "TMURI", "TEXT" ]
Nested Schema : uploadParameters
Type: object
Show Source
Nested Schema : chunkCount
Match All
The required number of chunked files to be uploaded to the content server.
Show Source
Nested Schema : chunkSize
Match All
The required size of each chunked file to be uploaded to the content server.
Show Source
Nested Schema : prefix
Match All
The prefix used in the file names of the chunked files.
Show Source
  • Title: Document
    The prefix used in the file names of the chunked files.
Nested Schema : version
Match All
Show Source
Nested Schema : XFND_CERT_FP
Match All
Show Source
Nested Schema : XFND_EXPIRES
Match All
Show Source
Nested Schema : XFND_RANDOM
Match All
Show Source
Nested Schema : XFND_SCHEME_ID
Match All
Show Source
Nested Schema : XFND_SIGNATURE
Match All
Show Source
Nested Schema : Latest Document
Type: object
Title: Latest Document
The latest version of the attached document.
Nested Schema : Document
Type: object
Title: Document
Directives for customers uploading chunked files.
Nested Schema : Download Parameters
Type: object
Title: Download Parameters
Used to get the parameters required to download a file type document.
Nested Schema : Upload Parameters
Type: object
Title: Upload Parameters
Used to get the parameters required to upload a file type document.
Nested Schema : $context
Type: object
Show Source
Nested Schema : XFND_CERT_FP
Match All
Show Source
Nested Schema : XFND_EXPIRES
Match All
Show Source
Nested Schema : XFND_RANDOM
Match All
Show Source
Nested Schema : XFND_SCHEME_ID
Match All
Show Source
Nested Schema : XFND_SIGNATURE
Match All
Show Source
Back to Top